Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Learn & Support


Avid Home Page

Go Back   Avid Pro Audio Community > Pro Tools Software > AAX Plug-ins

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 01-12-2023, 07:45 PM
massivekerry's Avatar
massivekerry massivekerry is offline
Member
 
Join Date: Jul 2005
Location: Portland, OR
Posts: 586
Default Modify the AAX SDK to help users with plugins that have numbered versions - Kontakt,

I already posted this on the Avid Link lounge for PT Feature Requests. But I figure, what the heck... if you agree, do there and upvote it.

This request is to modify the SDK for AAX developers in a way that that will allow automatic migration between different versions of a plugin that have different plugin IDs. Yeah, big balls on me for asking that right? Hear me out.

The only devs that I run up against this problem with are Native Instruments and iZotope (same parent company now). The real issue is with NI’s Kontakt.

I (and many colleagues and peers) run large orchestral templates with hundreds of Kontakt instruments loaded, and live in fear of having to migrate to a new version… because even though we thought that NI had seen the light when they named “Kontakt v6” to be just “Kontakt”, in 2022, the new version is now “Kontakt 7” in the plugin list. Unfortunately, this new version is the one that they are updating and optimizing for Apple Silicon, and Pro Tools is only just getting its Silicon Native version going.

So, if in the near-future I want to use PT in Native mode and not Rosetta, I will have to update to Kontakt 7. I don’t mind paying for the upgrade. But I do very much mind the hours (and likely days) that it will take to re-configure my Pro Tools template so that the Instruments load in “Kontakt 7” (this will require removing the Kontakt [6] instances, and loading Kontakt 7 instruments in their place, and then loading the actual sample instruments (and any settings that might be important - or saving each NKI Instrument to open in K7). If NI was able to put some kind of pointer saying "please migrate these instruments to the new version without changing anything", that would be a great help. We could install Kontakt 7, place the Kontakt [6].aaxplugin in the "Plug-Ins (Unused)" folder, open our template, wait for everything to load properly, and... happy composers.

I was sticking my head in the sand about this. And I’m sure that now there will be some dodgeball between Avid and NI reps over responsibility ("NI doesn't HAVE to re-name their plugins..."), with the users still ultimately taking ball in the face.

But… NI recently had an “Ask Me Anything” on their “Community” site, and NI implied that the plugin frameworks (AAX, AU) could be modified to allow “migration between different versions of a plugin that have different plugin IDs.” In fact the VST3 SDK recently added this ability.

So, I don’t know the how’s, if’s, possible’s of the matter, but I would be extremely happy if Avid might PLEASE reach out to NI/iZotope/Soundwide (hey, our AAX DSP pal Dirk is on the Board now, right?) and quickly find some way to work together to at least allow us Kontakt-reliant composers to upgrade our systems over the years (and especially now with this Apple Silicon migration) with a minimum of the pain that is currently required to do so?

Thank you.



The pertinent comments from Aaron, the QA for the Kontakt team are below:

Quote:
This is indeed a valid topic. Up until recently it was not easily possible, but recent additions by Steinberg to the VST3 SDK allow doing this as you describe - automatic migration between different versions of a plugin that have different plugin IDs.

On the Kontakt side, we are working on implementing this mechanism, but it also goes hand in hand with DAWs implementing this. Cubase, Reaper, Maschine and Komplete Kontrol already have this in place, I fully expect other DAWs will follow.

This is for the VST3 case. Regarding AU and AAX, this is not in place yet within those plugin frameworks (it did work for AU in Logic for a time, but is currently broken due to a bug). My assumption is that once it is common-place with VST3, the other targets will also implement this, but of course over this we don't have control.
https://community.native-instruments...e-kontakt-team
__________________
Kerry Smith
http://apothekerry.com

Mac Studio Ultra : 128GB RAM : Ventura 13.6 : Carbon : PT Ultimate 2023.9 : S1 : Metagrid Pro
Reply With Quote
  #2  
Old 01-12-2023, 10:54 PM
bradch00 bradch00 is offline
Member
 
Join Date: Jan 2006
Location: Lions Bay, Canada - Kuala Lumpur, Malaysia
Posts: 1,253
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

I haven’t gone through the vst3 spec, but is this like configuring an alias? I have thought about this for a long time. You configure an instrument called “KontaktVI” or whatever with your DAW, which points to the actual version/plug-in that you are using.
Not sure how far fetched of an idea it is.
__________________
Pro Tools, Studio One Pro
2022 Mac Studio M1 Max 64GB-1TB NVME
OWC Thunderbay Mini (4TB SSD)
OWC Express 4M2 (4 X 2TB)
Interface: Presonus Quantum
Presonus Faderport & Faderport 8
Black Lion Sparrow Mk2 A/D, FMR-RNP-RNC, MIDI Xpress 128
BM5A, KRK VXT4, Equator D5
2020 Macbook Pro 16GB RAM, 512GB SSD Audio(mobile rig)
Reply With Quote
  #3  
Old 01-13-2023, 07:02 AM
smurfyou smurfyou is online now
Member
 
Join Date: Oct 2006
Location: Charlotte, NC
Posts: 1,473
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

How would this work though with versions that are incompatible and with different feature sets? Izotope RX has been really annoying about this but the plugins are not compatible between versions. So even if it would "migrate" the settings wouldn't be the same or it would change the mix. Not to mention the parameter naming and ranges.

K7 can import K6 but the plugin container itself has changed. I'd love to know how NI tackles this.

Great idea but I can't wrap my head around how it would realistically work. I guess for a template like you have it would be easier than an existing dynamic composition and mix? Since it would just be static settings to be imported and migrated.
__________________
~Will
Reply With Quote
  #4  
Old 01-13-2023, 07:10 AM
originalscottyg originalscottyg is offline
Member
 
Join Date: Jan 2006
Location: Detroit
Posts: 1,298
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

Quote:
Originally Posted by smurfyou View Post
How would this work though with versions that are incompatible and with different feature sets? Izotope RX has been really annoying about this but the plugins are not compatible between versions. So even if it would "migrate" the settings wouldn't be the same or it would change the mix. Not to mention the parameter naming and ranges.

K7 can import K6 but the plugin container itself has changed. I'd love to know how NI tackles this.

Great idea but I can't wrap my head around how it would realistically work. I guess for a template like you have it would be easier than an existing dynamic composition and mix? Since it would just be static settings to be imported and migrated.
I agree that Izotope make this implementation difficult. I have always thought that they should include the legacy algorithms in the updated versions and include a legacy algorithm option; one that would automatically activate when opening a session with legacy versions. For example, there is a track with RX Voice-Denoise version 7 on it, but the session is opened on a system with only RX v9 (not that I really use any RX plugins real-time in 99.999% of cases). The track would open with the Voice-Denoise v9 plugin taking the place of the v7 plugin on the track, but with the Legacy v7 algorithm activated so all the settings and sonics match. Extra work and coding on their part, but it just might make paying for upgrades a lot more appealing for many people. Just my 2¢.
__________________
Scott Gatteño
Reply With Quote
  #5  
Old 01-13-2023, 10:14 AM
massivekerry's Avatar
massivekerry massivekerry is offline
Member
 
Join Date: Jul 2005
Location: Portland, OR
Posts: 586
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

I agree with you guys. Every once in awhile I open an old session that had Ozone 5 on it, and used the O5 reverb (it had a sound that was occasionally useful). There are larger issues present in the overall idea than the one I highlighted, but that's why I think this is an important issue to get in front of the industry and apply some gentle but reasonable pressure to the devs/companies to do what they can to streamline this process. At least NI and iZotope are both part of Soundwide now and maybe can be approached together. Arturia is one of the other offenders for me, but that seems easier to get around, perhaps because I don't pre-load patches on their synths.

We're a whole industry of users that solve problems and engineer solutions to things regularly. Maybe together we can incentivize the devs to provide better, more flexible migration and use pathways when they update their products.
__________________
Kerry Smith
http://apothekerry.com

Mac Studio Ultra : 128GB RAM : Ventura 13.6 : Carbon : PT Ultimate 2023.9 : S1 : Metagrid Pro
Reply With Quote
  #6  
Old 01-13-2023, 10:20 AM
massivekerry's Avatar
massivekerry massivekerry is offline
Member
 
Join Date: Jul 2005
Location: Portland, OR
Posts: 586
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

Quote:
Originally Posted by bradch00 View Post
I haven’t gone through the vst3 spec, but is this like configuring an alias? I have thought about this for a long time. You configure an instrument called “KontaktVI” or whatever with your DAW, which points to the actual version/plug-in that you are using.
Not sure how far fetched of an idea it is.
Yeah, I'll fully admit that I have no idea what the math or coding process involved in this would be. I just hope to stir enough publicly-voiced interest that the devs are willing to tackle whatever is required to accomplish it.

I do think there'd need to be some user-involved process or option. It might be physical, like having to remove the old plugin from the plugins folder to get the data to migrate to the new one automatically, or some kind of preference (which sounds complicated) or side-by-side version installations (like it is now). The comments about RX features changing with time is a valid one, and if you own the license to an older version that has a unique feature (and it remains compatible with the system and OS) you should be able to use that version as well.
__________________
Kerry Smith
http://apothekerry.com

Mac Studio Ultra : 128GB RAM : Ventura 13.6 : Carbon : PT Ultimate 2023.9 : S1 : Metagrid Pro
Reply With Quote
  #7  
Old 02-09-2023, 10:32 AM
gives's Avatar
gives gives is online now
Member
 
Join Date: Feb 2001
Location: Portland, OR
Posts: 1,784
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

Quote:
Originally Posted by massivekerry View Post
I already posted this on the Avid Link lounge for PT Feature Requests. But I figure, what the heck... if you agree, do there and upvote it.

This request is to modify the SDK for AAX developers in a way that that will allow automatic migration between different versions of a plugin that have different plugin IDs. Yeah, big balls on me for asking that right? Hear me out.

The only devs that I run up against this problem with are Native Instruments and iZotope (same parent company now). The real issue is with NI’s Kontakt.

I (and many colleagues and peers) run large orchestral templates with hundreds of Kontakt instruments loaded, and live in fear of having to migrate to a new version… because even though we thought that NI had seen the light when they named “Kontakt v6” to be just “Kontakt”, in 2022, the new version is now “Kontakt 7” in the plugin list. Unfortunately, this new version is the one that they are updating and optimizing for Apple Silicon, and Pro Tools is only just getting its Silicon Native version going.

So, if in the near-future I want to use PT in Native mode and not Rosetta, I will have to update to Kontakt 7. I don’t mind paying for the upgrade. But I do very much mind the hours (and likely days) that it will take to re-configure my Pro Tools template so that the Instruments load in “Kontakt 7” (this will require removing the Kontakt [6] instances, and loading Kontakt 7 instruments in their place, and then loading the actual sample instruments (and any settings that might be important - or saving each NKI Instrument to open in K7). If NI was able to put some kind of pointer saying "please migrate these instruments to the new version without changing anything", that would be a great help. We could install Kontakt 7, place the Kontakt [6].aaxplugin in the "Plug-Ins (Unused)" folder, open our template, wait for everything to load properly, and... happy composers.

I was sticking my head in the sand about this. And I’m sure that now there will be some dodgeball between Avid and NI reps over responsibility ("NI doesn't HAVE to re-name their plugins..."), with the users still ultimately taking ball in the face.

But… NI recently had an “Ask Me Anything” on their “Community” site, and NI implied that the plugin frameworks (AAX, AU) could be modified to allow “migration between different versions of a plugin that have different plugin IDs.” In fact the VST3 SDK recently added this ability.

So, I don’t know the how’s, if’s, possible’s of the matter, but I would be extremely happy if Avid might PLEASE reach out to NI/iZotope/Soundwide (hey, our AAX DSP pal Dirk is on the Board now, right?) and quickly find some way to work together to at least allow us Kontakt-reliant composers to upgrade our systems over the years (and especially now with this Apple Silicon migration) with a minimum of the pain that is currently required to do so?

Thank you.



The pertinent comments from Aaron, the QA for the Kontakt team are below:


https://community.native-instruments...e-kontakt-team
This jsut popped up for me J
Just saw this in my Native Access and not sure if it's been posted about. Kontakt 7.1.8 update, but could not see what has been changed in info in my Native Access portal.

G
__________________
Composer/Sound Designer/Protools 2023.6 Ultimate, Avid MTRXII, DADMAN MOM Monitoring,Cisco SG350-10MP EthernetHUB,KLANG:quelle 4 Channel Dante™Network Headphone Amp, DVS,MADI,Mac Studio Ultra,128 RAM/4TB SSD,Ventura 13.5.2,DP 11.22, Logic Pro X 10.7.9 DOLBY ATMOS Facility/MPSE Motion Picture Sound Editors Avid Certified Professional ProTools/Dolby ATMOS
Reply With Quote
  #8  
Old 02-09-2023, 12:26 PM
massivekerry's Avatar
massivekerry massivekerry is offline
Member
 
Join Date: Jul 2005
Location: Portland, OR
Posts: 586
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

Quote:
Originally Posted by gives View Post
This jsut popped up for me J
Just saw this in my Native Access and not sure if it's been posted about. Kontakt 7.1.8 update, but could not see what has been changed in info in my Native Access portal.

G
I don't think it deals with that issue yet. A bunch of us started getting into it on VI-Control last month, starting at about reply #1082 (page 55).

VI Control - Kontakt updates
__________________
Kerry Smith
http://apothekerry.com

Mac Studio Ultra : 128GB RAM : Ventura 13.6 : Carbon : PT Ultimate 2023.9 : S1 : Metagrid Pro
Reply With Quote
  #9  
Old 02-13-2023, 11:34 PM
Piotr Kubiak Piotr Kubiak is offline
Member
 
Join Date: Dec 2019
Location: Poland
Posts: 31
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

I using Pro Tools for post and cubase for music. I know that axx is different than vst, but I migrate my cubase project with kontakt 5 to kontakt 6 using hex editor and changing all vst id code in project. All instruments and automation migrate without a problem. Now kontakt 6 is just kontakt and propably it will not need to make that hex editing when I will upgare to kontakt 7.

I didn’t try it with izotope but i’m sure that will not work. All izotope new version are completely new product. That is discounting :) I thinking of stop using they product becouse of that exept rx with I using only offline.

With waves, audioease and other manufactures I can load my very old session without no problem, izotope releasing more and more. Plugins are not compatible and looks different and have new bugs!

I really like neutron eq how it sound, also it was so many surround tools in netron that I started to use that in almost every postproduction project. I missed version 2 and upgraded to version 3. New gui! More like fab filter, I lost so many time to used to! And some of features stop working! This is terrible :/
__________________
www.piotrkubiak.pl
Reply With Quote
  #10  
Old 02-14-2023, 06:12 PM
Eric Lambert's Avatar
Eric Lambert Eric Lambert is offline
Member
 
Join Date: Dec 1969
Location: Los Angeles
Posts: 4,379
Default Re: Modify the AAX SDK to help users with plugins that have numbered versions - Konta

Kontakt has bit us in the ***** more times than I can remember for the reasons you've pointed out. And it's why they've stopped numbering Kontakt and simply call it "Kontakt."

We had to keep multiple versions of Kontakt around just for those instances where a session used "Kontakt 3" but our current version was called "Kontakt 4" and the session wouldn't load properly.

It's going to be an issue when we go Native and older versions don't get the update. At this stage I'm not even sure that 6 will be usable in PT Native.

To address your concern, YES, it's an annoying and silly issue which not every developer forces us to deal with.

sidenote: Massey allows you to drag-n-drop between older and newer versions of its CT compressor. I think that's brilliant and I don't know why more devs haven't done this.

Coincidentally, I was just suggesting Massey's method to a large company who's come against this hurdle. I think they had trouble figuring out how he did it.
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is On

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
For All Kontakt Users ! Becharax Virtual Instruments 5 08-14-2010 11:45 AM
001 users: software versions and stability RinnyTin 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 3 06-20-2005 08:25 AM
Kontakt users Lalaman 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Win) 3 01-31-2003 05:34 PM
any Kontakt users? kimaguresound 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Win) 3 07-25-2002 05:28 PM


All times are GMT -7. The time now is 07:59 PM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com